// Saves options to localStorage.
function save_options() {
  localStorage["link"] = document.optionSelect.link.value;
  localStorage["pwdgj"] = document.optionSelect.pwdgj.value;
  localStorage["namesrv"] = document.optionSelect.namesrv.value;
  localStorage["usersrv"] = document.optionSelect.usersrv.value;
  localStorage["pwdsrv"] = document.optionSelect.pwdsrv.value;
  localStorage["nicksrv"] = document.optionSelect.nicksrv.value;
  localStorage["rcpt"] = document.optionSelect.rcpt.value;
  localStorage["txt"] = document.optionSelect.txt.value;

  // Update status to let user know options were saved.
  var status = document.getElementById("status");
  status.innerHTML = 'Opzioni salvate!';
  // Timeout value Tweakable
  setTimeout(function() { status.innerHTML = "";}, 2000);
}

// Restores select box state to saved value from localStorage.
function restore_options() {
  var cLink = localStorage["link"]; if (!cLink) { cLink = ''; } document.optionSelect.link.value = cLink;
  var cPwdgj = localStorage["pwdgj"]; if (!cPwdgj) { cPwdgj = ''; } document.optionSelect.pwdgj.value = cPwdgj;
  var cNamesrv = localStorage["namesrv"]; if (!cNamesrv) { cNamesrv = ''; } document.optionSelect.namesrv.value = cNamesrv;
  var cUsersrv = localStorage["usersrv"]; if (!cUsersrv) { cUsersrv = ''; } document.optionSelect.usersrv.value = cUsersrv;
  var cPwdsrv = localStorage["pwdsrv"]; if (!cPwdsrv) { cPwdsrv = ''; } document.optionSelect.pwdsrv.value = cPwdsrv;
  var cNicksrv = localStorage["nicksrv"]; if (!cNicksrv) { cNicksrv = ''; } document.optionSelect.nicksrv.value = cNicksrv;
  var cRcpt = localStorage["rcpt"]; if (!cRcpt) { cRcpt = ''; } document.optionSelect.rcpt.value = cRcpt;
  var cTxt = localStorage["txt"]; if (!cTxt) { cTxt = ''; } document.optionSelect.txt.value = cTxt;
}

document.addEventListener('DOMContentLoaded', function () {
  restore_options();
  //localize();
  document.getElementById('save_button').addEventListener('click', save_options);
})